Package edu.fiu.jtlex

# Enum ITerm.PartOfSpeech

java.lang.Object
java.lang.Enum<ITerm.PartOfSpeech>
edu.fiu.jtlex.ITerm.PartOfSpeech

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ITerm.PartOfSpeech>`, `java.lang.constant.Constable`

Enclosing interface:
  ITerm

    public static enum ITerm.PartOfSpeech
    extends java.lang.Enum<ITerm.PartOfSpeech>

An enum that represents the Part of Speech Tag the term is associated with. 36 types are allowed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CC` |
  `CD` |
  `DT` |
  `EX` |
  `FW` |
  `IN` |
  `JJ` |
  `JJR` |
  `JJS` |
  `LS` |
  `MD` |
  `NN` |
  `NNP` |
  `NNPS` |
  `NNS` |
  `PDT` |
  `POS` |
  `PRP` |
  `PRP$` |
  `RB` |
  `RBR` |
  `RBS` |
  `RP` |
  `SYM` |
  `TO` |
  `UH` |
  `VB` |
  `VBD` |
  `VBG` |
  `VBN` |
  `VBP` |
  `VBZ` |
  `WDT` |
  `WP` |
  `WP$` |
  `WRB` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ITerm.PartOfSpeech` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ITerm.PartOfSpeech[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CC

    public static final ITerm.PartOfSpeech CC

  - ### CD

    public static final ITerm.PartOfSpeech CD

  - ### DT

    public static final ITerm.PartOfSpeech DT

  - ### EX

    public static final ITerm.PartOfSpeech EX

  - ### FW

    public static final ITerm.PartOfSpeech FW

  - ### IN

    public static final ITerm.PartOfSpeech IN

  - ### JJ

    public static final ITerm.PartOfSpeech JJ

  - ### JJR

    public static final ITerm.PartOfSpeech JJR

  - ### JJS

    public static final ITerm.PartOfSpeech JJS

  - ### LS

    public static final ITerm.PartOfSpeech LS

  - ### MD

    public static final ITerm.PartOfSpeech MD

  - ### NN

    public static final ITerm.PartOfSpeech NN

  - ### NNS

    public static final ITerm.PartOfSpeech NNS

  - ### NNP

    public static final ITerm.PartOfSpeech NNP

  - ### NNPS

    public static final ITerm.PartOfSpeech NNPS

  - ### PDT

    public static final ITerm.PartOfSpeech PDT

  - ### POS

    public static final ITerm.PartOfSpeech POS

  - ### PRP

    public static final ITerm.PartOfSpeech PRP

  - ### PRP$

    public static final ITerm.PartOfSpeech PRP$

  - ### RB

    public static final ITerm.PartOfSpeech RB

  - ### RBR

    public static final ITerm.PartOfSpeech RBR

  - ### RBS

    public static final ITerm.PartOfSpeech RBS

  - ### RP

    public static final ITerm.PartOfSpeech RP

  - ### SYM

    public static final ITerm.PartOfSpeech SYM

  - ### TO

    public static final ITerm.PartOfSpeech TO

  - ### UH

    public static final ITerm.PartOfSpeech UH

  - ### VB

    public static final ITerm.PartOfSpeech VB

  - ### VBD

    public static final ITerm.PartOfSpeech VBD

  - ### VBG

    public static final ITerm.PartOfSpeech VBG

  - ### VBN

    public static final ITerm.PartOfSpeech VBN

  - ### VBP

    public static final ITerm.PartOfSpeech VBP

  - ### VBZ

    public static final ITerm.PartOfSpeech VBZ

  - ### WDT

    public static final ITerm.PartOfSpeech WDT

  - ### WP

    public static final ITerm.PartOfSpeech WP

  - ### WP$

    public static final ITerm.PartOfSpeech WP$

  - ### WRB

    public static final ITerm.PartOfSpeech WRB

- ## Method Details

  - ### values

    public static ITerm.PartOfSpeech[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ITerm.PartOfSpeech valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null